VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "CPDF2Image"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Option Explicit

Private Declare Function PDFToImageConverter Lib "pdf2image.dll" _
(ByVal szPDFFileName As String, ByVal szOutputName As String, _
ByVal szUserPassword As String, ByVal szOwnPassword As String, _
ByVal xresolution As Long, ByVal yresolution As Long, ByVal bitcount As Long, _
ByVal compression As Long, ByVal quality As Long, ByVal grayscale As Boolean, _
ByVal multipage As Boolean, ByVal firstPage As Long, ByVal lastPage As Long) As Long

Private Declare Function PDFToImageConverter2 Lib "pdf2image.dll" _
(ByVal szPDFFileName As String, ByVal szOutputName As String, _
ByVal szUserPassword As String, ByVal szOwnPassword As String, _
ByVal xresolution As Long, ByVal yresolution As Long, ByVal bitcount As Long, _
ByVal compression As Long, ByVal quality As Long, ByVal grayscale As Boolean, _
ByVal multipage As Boolean, ByVal firstPage As Long, ByVal lastPage As Long) As Long

Private Declare Function PDFToImageConverterEx Lib "pdf2image.dll" _
(ByVal szPDFFileName As String, ByVal szOutputName As String, _
ByVal szUserPassword As String, ByVal szOwnPassword As String, ByVal nIsWidthAndHeight As Long, _
ByVal xResORWidth As Long, ByVal yResORHeight As Long, ByVal bitcount As Long, _
ByVal compression As Long, ByVal quality As Long, ByVal grayscale As Long, _
ByVal multipage As Long, ByVal firstPage As Long, ByVal lastPage As Long) As Long

Private Declare Function PDFToImageConverter2Ex Lib "pdf2image.dll" _
(ByVal szPDFFileName As String, ByVal szOutputName As String, _
ByVal szUserPassword As String, ByVal szOwnPassword As String, ByVal nIsWidthAndHeight As Long, _
ByVal xResORWidth As Long, ByVal yResORHeight As Long, ByVal bitcount As Long, _
ByVal compression As Long, ByVal quality As Long, ByVal grayscale As Long, _
ByVal multipage As Long, ByVal firstPage As Long, ByVal lastPage As Long) As Long

Private Declare Function PDFToImageConverter3 Lib "pdf2image.dll" _
(ByVal szPDFFileName As String, ByVal szOutputName As String, _
ByVal szUserPassword As String, ByVal szOwnPassword As String, ByVal nIsWidthAndHeight As Long, _
ByVal xResORWidth As Long, ByVal yResORHeight As Long, ByVal bitcount As Long, _
ByVal compression As Long, ByVal quality As Long, ByVal grayscale As Long, _
ByVal multipage As Long, ByVal firstPage As Long, ByVal lastPage As Long) As Long

Private Declare Function PDFToImageGetPageCount Lib "pdf2image.dll" (ByVal szPDFFileName As String) As Long

Private Declare Function PDFToImageGetPageWidth Lib "pdf2image.dll" _
            (ByVal szPDFFileName As String, ByVal page As Long) As Long
Private Declare Function PDFToImageGetPageHeight Lib "pdf2image.dll" _
            (ByVal szPDFFileName As String, ByVal page As Long) As Long
Private Declare Sub PDFToImageSetCode Lib "pdf2image.dll" (ByVal szRegcode As String)

Private Declare Function PDFToImageDrawToDIB Lib "pdf2image.dll" _
(ByVal szPDFFileName As String, ByRef lpDIBData As Variant, _
ByVal szUserPassword As String, ByVal szOwnPassword As String, _
ByVal nIsWidthAndHeight As Long, ByVal xResORWidth As Long, ByVal yResORHeight As Long, _
ByVal bitcount As Long, ByVal grayscale As Long, ByVal nPageIndex As Long) As Long

Private Declare Function PDFToImageDrawToDIB2 Lib "pdf2image.dll" _
(ByVal szPDFFileName As String, ByRef lpDIBData As Variant, _
ByVal szUserPassword As String, ByVal szOwnPassword As String, _
ByVal nIsWidthAndHeight As Long, ByVal xResORWidth As Long, ByVal yResORHeight As Long, _
ByVal bitcount As Long, ByVal grayscale As Long, ByVal nPageIndex As Long) As Long
Private Declare Sub PDFToImageEnableErrorDiffusion Lib "pdf2image.dll" (ByVal bEnable As Boolean)
Private Declare Function TIFFImageSetOptions Lib "pdf2image.dll" (ByVal inputTIFFFile As String, ByVal pageno As Long, _
        ByVal colors As Long, ByVal compression As Long) As Long
Private Declare Sub PDFToImageSetFileNameSuffix Lib "pdf2image.dll" (ByVal ptrFileNameSuffix As String)
Private Declare Function PDFToImageSetOption2 Lib "pdf2image.dll" (ByVal lpCmd As String, ByVal lpValue As String) As Long

Public Function asp_PDFToImageConverter(ByVal szPDFFileName As String, ByVal szOutputName As String, _
ByVal szUserPassword As String, ByVal szOwnPassword As String, _
ByVal xresolution As Long, ByVal yresolution As Long, ByVal bitcount As Long, _
ByVal compression As Long, ByVal quality As Long, ByVal grayscale As Boolean, _
ByVal multipage As Boolean, ByVal firstPage As Long, ByVal lastPage As Long) As Long

    
    asp_PDFToImageConverter = PDFToImageConverter(szPDFFileName, szOutputName, _
        szUserPassword, szOwnPassword, xresolution, yresolution, bitcount, _
        compression, quality, grayscale, multipage, firstPage, lastPage)

End Function

Public Function asp_PDFToImageConverterEx(ByVal szPDFFileName As String, ByVal szOutputName As String, _
ByVal szUserPassword As String, ByVal szOwnPassword As String, ByVal nIsWidthAndHeight As Long, _
ByVal xResORWidth As Long, ByVal yResORHeight As Long, ByVal bitcount As Long, _
ByVal compression As Long, ByVal quality As Long, ByVal grayscale As Long, _
ByVal multipage As Long, ByVal firstPage As Long, ByVal lastPage As Long) As Long

    
    asp_PDFToImageConverterEx = PDFToImageConverterEx(szPDFFileName, szOutputName, _
        szUserPassword, szOwnPassword, nIsWidthAndHeight, xResORWidth, yResORHeight, bitcount, _
        compression, quality, grayscale, multipage, firstPage, lastPage)

End Function
Public Function asp_PDFToImageConverter2(ByVal szPDFFileName As String, ByVal szOutputName As String, _
ByVal szUserPassword As String, ByVal szOwnPassword As String, _
ByVal xresolution As Long, ByVal yresolution As Long, ByVal bitcount As Long, _
ByVal compression As Long, ByVal quality As Long, ByVal grayscale As Boolean, _
ByVal multipage As Boolean, ByVal firstPage As Long, ByVal lastPage As Long) As Long

    
    asp_PDFToImageConverter2 = PDFToImageConverter2(szPDFFileName, szOutputName, _
        szUserPassword, szOwnPassword, xresolution, yresolution, bitcount, _
        compression, quality, grayscale, multipage, firstPage, lastPage)

End Function
Public Function asp_PDFToImageConverter2Ex(ByVal szPDFFileName As String, ByVal szOutputName As String, _
ByVal szUserPassword As String, ByVal szOwnPassword As String, ByVal nIsWidthAndHeight As Long, _
ByVal xResORWidth As Long, ByVal yResORHeight As Long, ByVal bitcount As Long, _
ByVal compression As Long, ByVal quality As Long, ByVal grayscale As Long, _
ByVal multipage As Long, ByVal firstPage As Long, ByVal lastPage As Long) As Long

    
    asp_PDFToImageConverter2Ex = PDFToImageConverter2Ex(szPDFFileName, szOutputName, _
        szUserPassword, szOwnPassword, nIsWidthAndHeight, xResORWidth, yResORHeight, bitcount, _
        compression, quality, grayscale, multipage, firstPage, lastPage)

End Function
Public Function asp_PDFToImageConverter3(ByVal szPDFFileName As String, ByVal szOutputName As String, _
ByVal szUserPassword As String, ByVal szOwnPassword As String, ByVal nIsWidthAndHeight As Long, _
ByVal xResORWidth As Long, ByVal yResORHeight As Long, ByVal bitcount As Long, _
ByVal compression As Long, ByVal quality As Long, ByVal grayscale As Long, _
ByVal multipage As Long, ByVal firstPage As Long, ByVal lastPage As Long) As Long

    
    asp_PDFToImageConverter3 = PDFToImageConverter3(szPDFFileName, szOutputName, _
        szUserPassword, szOwnPassword, nIsWidthAndHeight, xResORWidth, yResORHeight, bitcount, _
        compression, quality, grayscale, multipage, firstPage, lastPage)

End Function


Public Function asp_PDFToImageGetPageCount(ByVal szPDFFileName As String) As Long

    
    asp_PDFToImageGetPageCount = PDFToImageGetPageCount(szPDFFileName)

End Function

Public Function asp_PDFToImageGetPageWidth(ByVal szPDFFileName As String, ByVal page As Long) As Long

    asp_PDFToImageGetPageWidth = PDFToImageGetPageWidth(szPDFFileName, page)

End Function
Public Function asp_PDFToImageGetPageHeight(ByVal szPDFFileName As String, ByVal page As Long) As Long
    
    asp_PDFToImageGetPageHeight = PDFToImageGetPageHeight(szPDFFileName, page)

End Function
Public Sub asp_PDFToImageSetCode(ByVal szRegcode As String)
    
    PDFToImageSetCode (szRegcode)

End Sub

Public Function asp_PDFToImageDrawToDIB(ByVal szPDFFileName As String, ByRef lpDIBData As Variant, _
ByVal szUserPassword As String, ByVal szOwnPassword As String, _
ByVal nIsWidthAndHeight As Long, ByVal xResORWidth As Long, ByVal yResORHeight As Long, _
ByVal bitcount As Long, ByVal grayscale As Long, ByVal nPageIndex As Long)

asp_PDFToImageDrawToDIB = PDFToImageDrawToDIB(szPDFFileName, lpDIBData, szUserPassword, szOwnPassword, _
    nIsWidthAndHeight, xResORWidth, yResORHeight, bitcount, grayscale, nPageIndex)

End Function

Public Function asp_PDFToImageDrawToDIB2(ByVal szPDFFileName As String, ByRef lpDIBData As Variant, _
ByVal szUserPassword As String, ByVal szOwnPassword As String, _
ByVal nIsWidthAndHeight As Long, ByVal xResORWidth As Long, ByVal yResORHeight As Long, _
ByVal bitcount As Long, ByVal grayscale As Long, ByVal nPageIndex As Long)

asp_PDFToImageDrawToDIB2 = PDFToImageDrawToDIB2(szPDFFileName, lpDIBData, szUserPassword, szOwnPassword, _
    nIsWidthAndHeight, xResORWidth, yResORHeight, bitcount, grayscale, nPageIndex)

End Function
Public Sub asp_PDFToImageEnableErrorDiffusion(ByVal bEnable As Boolean)
    PDFToImageEnableErrorDiffusion (bEnable)
End Sub

Public Function asp_TIFFImageSetOptions(ByVal inputTIFFFile As String, ByVal pageno As Long, _
        ByVal colors As Long, ByVal compression As Long) As Long
    asp_TIFFImageSetOptions = TIFFImageSetOptions(inputTIFFFile, pageno, colors, compression)
End Function

Public Sub asp_PDFToImageSetFileNameSuffix(ByVal ptrFileNameSuffix As String)
    PDFToImageSetFileNameSuffix (ptrFileNameSuffix)
End Sub

Public Function asp_PDFToImageSetOption2(ByVal lpCmd As String, ByVal lpValue As String) As Long
    asp_PDFToImageSetOption2 = PDFToImageSetOption2(lpCmd, lpValue)
End Function

